function [l] = likelihood_A(cue,age,z,h,noi,z_opt)
% cue - 1 x #corners; cue = 1 for predicted corners, 0 otherwise
% z - room size (inch squared)
% h - shadowing parameter [ 0 1 ]
% noi - noise parameter
% z_opt - optimal room size

if nargin < 6
    z_opt = 96; % Optimal salience point (large room size 12 x 8 in)
end

l = cue;

%SNR
del_P = 1/(age*noi);

s = salience_roomsize(z,z_opt);
sig_P = 1 - (1-s)*(1-del_P);

l(find(cue>0)) = sig_P;
l(find(cue==0)) = del_P;


function [s] = salience_roomsize(z,z_opt)

if z == z_opt
    s = 1;
else
    s = 0;
end

