function [posteriorM,inferredM] = posterior_model_given_data...
    (HypSpace,prevPosterior,target,cues,age,z,h,noi)
% p ( M | D ) - p ( D | M ) p (M | D_prev )

nModel = size(HypSpace,1); posteriorM = zeros(1,nModel);

for i = 1:nModel % Compute p( D | M ) for each possible model
    
    [p] = posterior_L_given_model...
        (HypSpace(i,:),cues,age,z,h,noi);
    
    p_D_given_M = exp(-pdist([target; p])^2);
    
    posteriorM(i) = p_D_given_M * prevPosterior(i);
    
end

posteriorM = posteriorM / sum(posteriorM);
inferredM = HypSpace(find(posteriorM==max(posteriorM),1),:);

end